Package org.jcsp.lang

# Class ChannelInt

java.lang.Object
org.jcsp.lang.ChannelInt

public class ChannelInt extends Object
Deprecated.
To create integer channels, use the methods in the Channel class.
This class provides static factory methods for constructing various different types of int channel objects. There are also methods for constructing arrays of identical int channels. The current implementation constructs "safe" channels which have separate delegate objects for their read and write ends. This stops a `ChannelInputInt` from being cast into a `ChannelOutputInt` object. The `SafeChannelIntFactory` class is used to construct the channels. Non-safe channels can be constructed by using an instance of the `StandardChannelIntFactory` class. The channels produced by this factory have read and write ends implemented by the same object. This is is more efficient (there are two extra objects and delegate method calls) but could lead to errors if users make incorrect casts.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`static Any2OneChannelInt[]`
`any2oneArray(int n)`
Deprecated.
Constructs and returns an array of `Any2OneChannelInt` objects.
`static Any2OneChannelInt[]`
`any2oneArray(ChannelDataStoreInt buffer, int n)`
Deprecated.
Constructs and returns an array of `Any2OneChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.
`static Any2AnyChannelInt`
`createAny2Any()`
Deprecated.
Constructs and returns an `Any2AnyChannelInt` object.
`static Any2AnyChannelInt[]`
`createAny2Any(int n)`
Deprecated.
Constructs and returns an array of `Any2AnyChannelInt` objects.
`static Any2AnyChannelInt`
`createAny2Any(ChannelDataStoreInt buffer)`
Deprecated.
Constructs and returns a `Any2AnyChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.
`static Any2AnyChannelInt[]`
`createAny2Any(ChannelDataStoreInt buffer, int n)`
Deprecated.
Constructs and returns an array of `Any2AnyChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.
`static Any2OneChannelInt`
`createAny2One()`
Deprecated.
Constructs and returns an `Any2OneChannelInt` object.
`static Any2OneChannelInt`
`createAny2One(ChannelDataStoreInt buffer)`
Deprecated.
Constructs and returns a `Any2OneChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.
`static One2AnyChannelInt`
`createOne2Any()`
Deprecated.
Constructs and returns a `One2AnyChannelInt` object.
`static One2AnyChannelInt[]`
`createOne2Any(int n)`
Deprecated.
Constructs and returns an array of `One2AnyChannelInt` objects.
`static One2AnyChannelInt`
`createOne2Any(ChannelDataStoreInt buffer)`
Deprecated.
Constructs and returns a `One2AnyChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.
`static One2AnyChannelInt[]`
`createOne2Any(ChannelDataStoreInt buffer, int n)`
Deprecated.
Constructs and returns an array of `One2AnyChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.
`static One2OneChannelInt`
`createOne2One()`
Deprecated.
Constructs and returns a `One2OneChannelInt` object.
`static One2OneChannelInt[]`
`createOne2One(int n)`
Deprecated.
Constructs and returns an array of `One2OneChannelInt` objects.
`static One2OneChannelInt`
`createOne2One(ChannelDataStoreInt buffer)`
Deprecated.
Constructs and returns a `One2OneChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.
`static One2OneChannelInt[]`
`createOne2One(ChannelDataStoreInt buffer, int n)`
Deprecated.
Constructs and returns an array of `One2OneChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.
`static SharedChannelInputInt[]`
`getInputArray(Any2AnyChannelInt[] c)`
Deprecated.
Constructs and returns an array of input channel ends, each of which can be shared by multiple concurrent readers.
`static AltingChannelInputInt[]`
`getInputArray(Any2OneChannelInt[] c)`
Deprecated.
Constructs and returns an array of input channel ends, each of which can be used as guards in an `Alternative`.
`static SharedChannelInputInt[]`
`getInputArray(One2AnyChannelInt[] c)`
Deprecated.
Constructs and returns an array of input channel ends, each of which can be shared by multiple concurrent readers.
`static AltingChannelInputInt[]`
`getInputArray(One2OneChannelInt[] c)`
Deprecated.
Constructs and returns an array of input channel ends, each of which can be used as guards in an `Alternative`.
`static SharedChannelOutputInt[]`
`getOutputArray(Any2AnyChannelInt[] c)`
Deprecated.
Constructs and returns an array of output channel ends, each of which can be shared by multiple concurrent writers.
`static SharedChannelOutputInt[]`
`getOutputArray(Any2OneChannelInt[] c)`
Deprecated.
Constructs and returns an array of output channel ends, each of which can be shared by multiple concurrent writers.
`static ChannelOutputInt[]`
`getOutputArray(One2AnyChannelInt[] c)`
Deprecated.
Constructs and returns an array of output channel ends, each of which can only be used by a single writer.
`static ChannelOutputInt[]`
`getOutputArray(One2OneChannelInt[] c)`
Deprecated.
Constructs and returns an array of output channel ends, each of which can only be used by a single writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createOne2One

public static One2OneChannelInt createOne2One()
Deprecated.
Constructs and returns a `One2OneChannelInt` object.

Returns:
  the channel object.
See Also:
  - `ChannelIntFactory.createOne2One()`

### createAny2One

public static Any2OneChannelInt createAny2One()
Deprecated.
Constructs and returns an `Any2OneChannelInt` object.

Returns:
  the channel object.
See Also:
  - `ChannelIntFactory.createAny2One()`

### createOne2Any

public static One2AnyChannelInt createOne2Any()
Deprecated.
Constructs and returns a `One2AnyChannelInt` object.

Returns:
  the channel object.
See Also:
  - `ChannelIntFactory.createOne2Any()`

### createAny2Any

public static Any2AnyChannelInt createAny2Any()
Deprecated.
Constructs and returns an `Any2AnyChannelInt` object.

Returns:
  the channel object.
See Also:
  - `ChannelIntFactory.createAny2Any()`

### createOne2One

public static One2OneChannelInt[] createOne2One(int n)
Deprecated.
Constructs and returns an array of `One2OneChannelInt` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelIntArrayFactory.createOne2One(int)`

### any2oneArray

public static Any2OneChannelInt[] any2oneArray(int n)
Deprecated.
Constructs and returns an array of `Any2OneChannelInt` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelIntArrayFactory.createAny2One(int)`

### createOne2Any

public static One2AnyChannelInt[] createOne2Any(int n)
Deprecated.
Constructs and returns an array of `One2AnyChannelInt` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelIntArrayFactory.createOne2Any(int)`

### createAny2Any

public static Any2AnyChannelInt[] createAny2Any(int n)
Deprecated.
Constructs and returns an array of `Any2AnyChannelInt` objects.

Parameters:
  `n` - the size of the array of channels.
Returns:
  the array of channels.
See Also:
  - `ChannelIntArrayFactory.createAny2Any(int)`

### createOne2One

public static One2OneChannelInt createOne2One(ChannelDataStoreInt buffer)
Deprecated.
Constructs and returns a `One2OneChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
Returns:
  the buffered channel.
See Also:
  - `BufferedChannelIntFactory.createOne2One(ChannelDataStoreInt)`
  - `ChannelDataStoreInt`

### createAny2One

public static Any2OneChannelInt createAny2One(ChannelDataStoreInt buffer)
Deprecated.
Constructs and returns a `Any2OneChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
Returns:
  the buffered channel.
See Also:
  - `BufferedChannelIntFactory.createAny2One(ChannelDataStoreInt)`
  - `ChannelDataStoreInt`

### createOne2Any

public static One2AnyChannelInt createOne2Any(ChannelDataStoreInt buffer)
Deprecated.
Constructs and returns a `One2AnyChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
Returns:
  the buffered channel.
See Also:
  - `BufferedChannelIntFactory.createOne2Any(ChannelDataStoreInt)`
  - `ChannelDataStoreInt`

### createAny2Any

public static Any2AnyChannelInt createAny2Any(ChannelDataStoreInt buffer)
Deprecated.
Constructs and returns a `Any2AnyChannelInt` object which uses the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
Returns:
  the buffered channel.
See Also:
  - `BufferedChannelIntFactory.createAny2Any(ChannelDataStoreInt)`
  - `ChannelDataStoreInt`

### createOne2One

public static One2OneChannelInt[] createOne2One(ChannelDataStoreInt buffer, int n)
Deprecated.
Constructs and returns an array of `One2OneChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
  `n` - the size of the array of channels.
Returns:
  the array of buffered channels.
See Also:
  - `BufferedChannelIntArrayFactory.createOne2One(ChannelDataStoreInt, int)`
  - `ChannelDataStoreInt`

### any2oneArray

public static Any2OneChannelInt[] any2oneArray(ChannelDataStoreInt buffer, int n)
Deprecated.
Constructs and returns an array of `Any2OneChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
  `n` - the size of the array of channels.
Returns:
  the array of buffered channels.
See Also:
  - `BufferedChannelIntArrayFactory.createAny2One(ChannelDataStoreInt, int)`
  - `ChannelDataStoreInt`

### createOne2Any

public static One2AnyChannelInt[] createOne2Any(ChannelDataStoreInt buffer, int n)
Deprecated.
Constructs and returns an array of `One2AnyChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
  `n` - the size of the array of channels.
Returns:
  the array of buffered channels.
See Also:
  - `BufferedChannelIntArrayFactory.createOne2Any(ChannelDataStoreInt, int)`
  - `ChannelDataStoreInt`

### createAny2Any

public static Any2AnyChannelInt[] createAny2Any(ChannelDataStoreInt buffer, int n)
Deprecated.
Constructs and returns an array of `Any2AnyChannelInt` objects which use the specified `ChannelDataStoreInt` object as a buffer.

Parameters:
  `buffer` - the `ChannelDataStoreInt` to use.
  `n` - the size of the array of channels.
Returns:
  the array of buffered channels.
See Also:
  - `BufferedChannelIntArrayFactory.createAny2Any(ChannelDataStoreInt, int)`
  - `ChannelDataStoreInt`

### getInputArray

public static SharedChannelInputInt[] getInputArray(Any2AnyChannelInt[] c)
Deprecated.
Constructs and returns an array of input channel ends, each of which can be shared by multiple concurrent readers. The returned array, `r`, is constructed such that `r[i] = c[i].in ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain input ends from.
Returns:
  the array of channel input ends.

### getInputArray

public static AltingChannelInputInt[] getInputArray(Any2OneChannelInt[] c)
Deprecated.
Constructs and returns an array of input channel ends, each of which can be used as guards in an `Alternative`. The returned array, `r`, is constructed such that `r[i] = c[i].in ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain input ends from.
Returns:
  the array of channel input ends.

### getInputArray

public static SharedChannelInputInt[] getInputArray(One2AnyChannelInt[] c)
Deprecated.
Constructs and returns an array of input channel ends, each of which can be shared by multiple concurrent readers. The returned array, `r`, is constructed such that `r[i] = c[i].in ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain input ends from.
Returns:
  the array of channel input ends.

### getInputArray

public static AltingChannelInputInt[] getInputArray(One2OneChannelInt[] c)
Deprecated.
Constructs and returns an array of input channel ends, each of which can be used as guards in an `Alternative`. The returned array, `r`, is constructed such that `r[i] = c[i].in ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain input ends from.
Returns:
  the array of channel input ends.

### getOutputArray

public static SharedChannelOutputInt[] getOutputArray(Any2AnyChannelInt[] c)
Deprecated.
Constructs and returns an array of output channel ends, each of which can be shared by multiple concurrent writers. The returned array, `r`, is constructed such that `r[i] = c[i].out ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain output ends from.
Returns:
  the array of output input ends.

### getOutputArray

public static SharedChannelOutputInt[] getOutputArray(Any2OneChannelInt[] c)
Deprecated.
Constructs and returns an array of output channel ends, each of which can be shared by multiple concurrent writers. The returned array, `r`, is constructed such that `r[i] = c[i].out ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain output ends from.
Returns:
  the array of output input ends.

### getOutputArray

public static ChannelOutputInt[] getOutputArray(One2AnyChannelInt[] c)
Deprecated.
Constructs and returns an array of output channel ends, each of which can only be used by a single writer. The returned array, `r`, is constructed such that `r[i] = c[i].out ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain output ends from.
Returns:
  the array of output input ends.

### getOutputArray

public static ChannelOutputInt[] getOutputArray(One2OneChannelInt[] c)
Deprecated.
Constructs and returns an array of output channel ends, each of which can only be used by a single writer. The returned array, `r`, is constructed such that `r[i] = c[i].out ()` for `0 invalid input: '<'= i invalid input: '<' c.length`.

Parameters:
  `c` - the array of channel to obtain output ends from.
Returns:
  the array of output input ends.